struct PSInput
{
    float4 PositionSS : SV_Position;
    float2 TexCoord : TEXCOORD;
};

Texture2D colorbuffer : register(t0);
SamplerState ss;

float4 main(PSInput input) : SV_TARGET
{
    return colorbuffer.Sample(ss, input.TexCoord);
}